<?php
    // define blog post url
    $blogPostUrl = $this->Route->getItemRoute('EvBlog', 'BlogPost');
    $blogPostUrl['action'] = 'view';
    $blogPostUrl[] = $blog['BlogPost']['id'];
?>
<div class="ev-blog__list__item">
    <div class="row">
        <div class="col-xs-12 col-sm-4 col-xs-3">
            <?php
                if (! empty($blog['ListingImage'])):
                    $imgPath = '../' . $blog['ListingImage']['0']['filepath'];
                    $imgAlt = (! empty($blog['ListingImage']['0']['alt'])) ? $blog['ListingImage']['0']['alt'] : $blog['BlogPost']['name'];
                else:
                    $imgPath = '..' . DS . 'img' . DS . 'no-image.png';
                    $imgAlt = $blog['BlogPost']['name'];
                endif;

                $image = $this->Image->resize($imgPath, array(
                    'width' => 200,
                    'height' => 145,
                    'crop' => true,
                    'alt' => $imgAlt
                ));

                echo $this->Html->link($image, $blogPostUrl, array('escape' => false));
            ?>
        </div>
        <div class="col-xs-12 col-sm-8 col-xs-9">
            <h2 class="ev-blog__list__item__title">
                <?php echo $this->Html->link($blog['BlogPost']['name'], $blogPostUrl); ?>
            </h2>
            <div class="ev-blog__list__item__date">
                <?php echo $this->Time->format("jS F Y", $blog['BlogPost']['posted']); ?>
            </div>

            <div class="ev-blog__list__item__snippet">
                <?php
                echo stripslashes($blog['BlogPost']['snippet']);
                echo $this->Html->link('Read More', array(
                    'plugin' => 'ev_blog',
                    'controller' => 'blog_posts',
                    'action' => 'view',
                    $blog['BlogPost']['id']
                ));
                ?>
            </div>

            <ul class="ev-blog__list__meta">
                <li class="ev-blog__list__meta__label">Author</li>
                <li class="ev-blog__list__meta__value"><?php echo $blog['BlogPost']['author']; ?></li>
                <li class="ev-blog__list__meta__label">
                    <?php
                        $commentUrl = Router::url($blogPostUrl) . '#blog-comments';
                        echo $this->Html->link(
                            'comments',
                            $commentUrl,
                            array(
                                'escape' => false
                            )
                        );
                    ?>
                </li>
                <li class="ev-blog__list__meta__label">
                    <?php
                    echo $this->Html->link(
                        (isset($blog['BlogComment'])) ? count($blog['BlogComment']) : '0',
                        $commentUrl,
                        array(
                            'escape' => false
                        )
                    );
                    ?>
                </li>

                <li class="ev-blog__list__meta__label">Category</li>
                <li class="ev-blog__list__meta__value">
                    <?php
                    if (isset($blog['BlogCategory']['name']) && ! empty($blog['BlogCategory']['name'])):
                        $blogCategoryUrl = $this->Route->getItemRoute('EvBlog', 'BlogCategory');
                        $blogCategoryUrl['action'] = 'view';
                        $blogCategoryUrl[] = $blog['BlogCategory']['id'];

                        echo $this->Html->link(
                            $blog['BlogCategory']['name'],
                            $blogCategoryUrl
                        );
                    else:
                        $blogCategoryUrl = $this->Route->getItemRoute('EvBlog', 'BlogCategory');
                        $blogCategoryUrl['action'] = 'view';
                        $blogCategoryUrl[] = 0;

                        echo $this->Html->link(
                            'Uncategorised',
                            $blogCategoryUrl
                        );
                    endif;
                    ?>
                </li>
            </ul>
        </div>
    </div>
</div>